package config

import "fmt"

type RMQConfig struct {
	Host     string
	Port     int
	User     string
	Password string
}

func (c *RMQConfig) URL() string {
	return fmt.Sprintf("amqp://%s:%s@%s:%d/", c.User, c.Password, c.Host, c.Port)
}
